<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MATCSRPERM</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MATCSRPERM"><H1>MATCSRPERM</H1></A>
<A HREF="../Mat/MATCSRPERM.html#MATCSRPERM">MATCSRPERM</A> = "CSRPERM" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQCSRPERM when constructed with a single process communicator,
and MATMPICSRPERM otherwise.  As a result, for single process communicators,
MatSeqCSRPERMSetPreallocation is supported, and similarly MatMPICSRPERMSetPreallocation is supported
for communicators controlling multiple processes.  It is recommended that you call both of
the above preallocation routines for simplicity.
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<DT><B>-mat_type csrperm </B> -sets the matrix type to "CSRPERM" during a call to <A HREF="../Mat/MatSetFromOptions.html#MatSetFromOptions">MatSetFromOptions</A>()
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatCreateMPICSRPERM.html#MatCreateMPICSRPERM">MatCreateMPICSRPERM</A>,MATSEQCSRPERM,MATMPICSRPERM
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/impls/aij/mpi/csrperm/mpicsrperm.c.html#MATCSRPERM">src/mat/impls/aij/mpi/csrperm/mpicsrperm.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
